summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMorgenstern2019-07-12 00:00:15 +1200
committerMorgenstern2019-07-12 00:00:15 +1200
commited9315c732a757c3643baf8a96844d2d0d95c8fd (patch)
tree3ccf5273c650b2cba982f5ac977353d20f271e5e /PKGBUILD
parent3701edabc85e90327964abfad04c3923a8a7d6fd (diff)
downloadaur-ed9315c732a757c3643baf8a96844d2d0d95c8fd.tar.gz
Updated PKGBUILD
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD46
1 files changed, 25 insertions, 21 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 85dbcf2ffe7..7bb0b596712 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,38 +1,42 @@
-# Maintainer: corubba <corubba at gmx dot de>
+# Maintainer: Morgenstern <charles [at] charlesbwise [dot] com>
# Contributor: Evan Purkhiser <evanpurkhiser@gmail.com>
+# Contributor: corubba <corubba at gmx dot de>
# Contributor: Jakub Kozisek <nodevel at gmail dot com>
pkgname=puddletag-qt5-git
-pkgdesc="An audio tag editor for GNU/Linux (Qt5 Version)"
-license=('GPL')
-url="https://github.com/keithgg/puddletag"
-pkgver=872.9a61f00
+pkgver=r881.aab842a
pkgrel=1
-
-provides=('puddletag')
-conflicts=('puddletag' 'puddletag-git')
-
-source=("$pkgname::git://github.com/keithgg/puddletag#branch=pyqt5")
-md5sums=('SKIP')
-depends=('python2' 'mutagen' 'python2-pyqt5' 'python2-pyparsing' 'python2-configobj' 'python2-musicbrainz2')
+pkgdesc="An audio tag editor for GNU/Linux, Qt5 verion"
+url="http://docs.puddletag.net/"
+license=('GPL3')
+arch=('any')
+depends=('chromaprint' 'python2' 'python2-mutagen' 'python2-pyqt5'
+ 'python2-pyparsing' 'python2-configobj' 'python2-musicbrainz2'
+ 'qt5-svg')
makedepends=('git')
-optdepends=('python2-imaging: edit/view FLAC cover art'
- 'quodlibet: edit a QuodLibet library')
-arch=('i686' 'x86_64')
+optdepends=('python2-pillow: FLAC cover art support'
+ 'quodlibet: QuodLibet library support')
+provides=('puddletag')
+conflicts=('puddletag')
+source=("$pkgname::git+https://github.com/keithgg/puddletag#branch=pyqt5")
+sha256sums=('SKIP')
pkgver() {
- cd "$srcdir/$pkgname"
- echo $(git rev-list --count HEAD).$(git rev-parse --short HEAD)
+ cd "$srcdir/$pkgname"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}
-build() {
+prepare() {
cd "$srcdir/$pkgname/source"
+ find ./ -type f -exec grep -rl '^#!.*python$' {} \; | xargs -L1 sed -i 's|^#!.*python$|#!/usr/bin/python2|'
+}
+build() {
+ cd "$srcdir/$pkgname/source"
python2 setup.py config
}
package() {
- cd "$srcdir/$pkgname/source"
-
- python2 setup.py install --root="$pkgdir" --optimize=1 || return 1
+ cd "$srcdir/$pkgname/source"
+ python2 setup.py install --root="$pkgdir" --optimize=1 || return 1
}